%input {
    border: 1px solid #FFFFFF;
    border-radius: $border-small-radius;
    font-size: inherit;
    font-family: inherit;
    line-height: inherit;
    padding: $space * 2.5;
    background-color: $color-input-background;
    color: $color-text-base;
    margin: $space * 3 0;
}

label {
}

input:not(input[type="file"]) {
    @extend %input;
}

input[type="radio"],
input[type="checkbox"] {
    -webkit-appearance: none;

    & + label {
        cursor: pointer;
    }

    &:checked {
        background-color: $color-text-base;
    }
}

label.files {
    margin: $space * 3 0;

    @extend %button;
    @extend %button-secondary;

    input[type="file"] {
        display: none;
    }
}

textarea {
    @extend %input;
}

select {
    @extend %input;
}
